Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.score.constraint
Class ConstraintOccurrence

    java.lang.Object
      org.optaplanner.core.impl.score.constraint.ConstraintOccurrence

All Implemented Interfaces:
  Serializable, Comparable<ConstraintOccurrence>

Direct Known Subclasses:
  DoubleConstraintOccurrence, IntConstraintOccurrence, LongConstraintOccurrence, UnweightedConstraintOccurrence

Deprecated.

    @Deprecated
    public abstract class ConstraintOccurrence

extends Object
implements Comparable<ConstraintOccurrence>, Serializable

Will be removed in version 6.1.0.Beta1.

See Also:
  Serialized Form

Field Summary
`protected Object[]` | `causes` Deprecated.
`protected ConstraintType` | `constraintType` Deprecated.
`protected String` | `ruleId` Deprecated.

Constructor Summary
`ConstraintOccurrence(String ruleId, ConstraintType constraintType, Object... causes)` Deprecated.
`ConstraintOccurrence(String ruleId, Object... causes)` Deprecated.

Method Summary
`int` | `compareTo(ConstraintOccurrence other)` Deprecated.
`boolean` | `equals(Object o)` Deprecated.
`Object[]` | `getCauses()` Deprecated.
`ConstraintType` | `getConstraintType()` Deprecated.
`String` | `getRuleId()` Deprecated.
`int` | `hashCode()` Deprecated.
`String` | `toString()` Deprecated.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ruleId

    protected String ruleId

  Deprecated.

### constraintType

    protected ConstraintType constraintType

  Deprecated.

### causes

    protected Object[] causes

  Deprecated.

Constructor Detail

### ConstraintOccurrence

    public ConstraintOccurrence(String ruleId,
                                Object... causes)

  Deprecated.

### ConstraintOccurrence

    public ConstraintOccurrence(String ruleId,
                                ConstraintType constraintType,
                                Object... causes)

  Deprecated.

Method Detail

### getRuleId

    public String getRuleId()

  Deprecated.

### getConstraintType

    public ConstraintType getConstraintType()

  Deprecated.

### getCauses

    public Object[] getCauses()

  Deprecated.

### equals

    public boolean equals(Object o)

  Deprecated.
  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Deprecated.
  Overrides:
    `hashCode` in class `Object`

### compareTo

    public int compareTo(ConstraintOccurrence other)

  Deprecated.
  Specified by:
    `compareTo` in interface `Comparable<ConstraintOccurrence>`

### toString

    public String toString()

  Deprecated.
  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.